<template>
  <div class="bg-white p-4 rounded md:rounded-lg shadow-1">
    <div class="flex items-center mb-3">
      <svg-icon name="sponsor" style="width: 16px;height: 16px"></svg-icon>
      <span class="pl-1 font-normal leading-relaxed text-gray text-sm">
        Tài trợ
      </span>
      <a
        v-if="showlink"
        class="sponsor-external relative flex items-center leading-160 text-dark-cyan pl-3 ml-3"
        :href="sponsor_link"
        target="_blank"
      >
        <span>{{ sponsor_name }}</span>
        <svg-icon name="icon-external" class="w-3 h-3 ml-6px"></svg-icon>
      </a>
    </div>
    <div>
      <a :href="sponsor_link" target="_blank">
        <img
          class="w-full"
          src="/sponsored-display-box.png"
          alt="banner sponsor"
        />
      </a>
    </div>
  </div>
</template>

<script>
export default {
  name: 'SponsorDisplayBox',
  props: {
    showlink: {
      type: Boolean,
      default: false
    }
  },
  data() {
    return {
      sponsor_name: 'samsung.com',
      sponsor_link: 'https://samsung.com'
    }
  }
}
</script>

<style lang="scss">
.sponsor-external {
  &:before {
    content: '';
    position: absolute;
    width: 1px;
    height: 18px;
    background: #dee1e9;
    top: 50%;
    margin-top: -9px;
    left: 0;
  }
}
</style>
